Retrieves a single object context, including its extended data, by key.
Required permissions
The authenticated user must have the storage.objects.viewFullContext IAM
permission to use this method.
Request
HTTP request
GET https://storage.googleapis.com/storage/v1/b/bucket/o/object/viewFullContext
In addition to standard query parameters, the following query parameters apply to this method.
Parameters
| Parameter name | Value | Description |
|---|---|---|
| Path parameters | ||
bucket |
string |
Name of the bucket in which the object resides. |
object |
string |
Name of the object. For information about how to URL encode object names to be path safe, see Encoding URI path parts. |
| Query parameters | ||
contextKey |
string |
Required. The key of the object context to retrieve. For example, google:annotation:face-detector-v1.
|
generation |
long |
If present, selects a specific revision of this object (as opposed to the latest version, the default). |
Request body
Do not supply a request body with this method.
Response
If successful, this method returns a response body with the following structure:
{ "kind": "storage#objectFullContext", "type": "CUSTOM", "key": string, "value": string, "createTime": datetime, "updateTime": datetime, "extendedData": { "@type": "type.googleapis.com/google.protobuf.Struct", "value": object } }
| Property name | Value | Description | Notes |
|---|---|---|---|
kind |
string |
The kind of item this is. For an object full context, this is always storage#objectFullContext. |
|
type |
string |
The context type. Always CUSTOM. |
|
key |
string |
The unique identifier for the context. | |
value |
string |
The value associated with this context. | |
createTime |
datetime |
The time when this context key was first added to the object. Specified in RFC 3339 format. | |
updateTime |
datetime |
The time when this context key was last updated. Specified in RFC 3339 format. | |
extendedData |
nested object |
The structured JSON payload containing extended context metadata (Preview). | |
extendedData.@type |
string |
The type URL of the extended metadata (type.googleapis.com/google.protobuf.Struct). |
|
extendedData.value |
object |
The JSON payload containing the structured extended data. |
For information about status and error codes returned by this API, see the reference page.